Package commoble.useitemonblockevent.internal

# Class MixinCallbacks

java.lang.Object
commoble.useitemonblockevent.internal.MixinCallbacks

public class MixinCallbacks extends Object

## Constructor Summary

Constructors
Constructor
Description
`MixinCallbacks()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`onBlockUse(net.minecraft.world.level.block.state.BlockBehaviour.BlockStateBase state, net.minecraft.world.level.Level level, net.minecraft.world.entity.player.Player player, net.minecraft.world.InteractionHand hand, net.minecraft.world.phys.BlockHitResult hitResult, org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable<net.minecraft.world.InteractionResult> callbackInfo)`
`static void`
`onItemUseFirst(net.minecraft.world.item.ItemStack stack, net.minecraft.world.item.context.UseOnContext useOnContext, org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable<net.minecraft.world.InteractionResult> callbackInfo)`
`static void`
`onUseItemOnBlock(net.minecraft.world.item.ItemStack stack, net.minecraft.world.item.context.UseOnContext useOnContext, org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable<net.minecraft.world.InteractionResult> callbackInfo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MixinCallbacks

public MixinCallbacks()

## Method Details

### onItemUseFirst

public static void onItemUseFirst(net.minecraft.world.item.ItemStack stack, net.minecraft.world.item.context.UseOnContext useOnContext, org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable<net.minecraft.world.InteractionResult> callbackInfo)

### onBlockUse

public static void onBlockUse(net.minecraft.world.level.block.state.BlockBehaviour.BlockStateBase state, net.minecraft.world.level.Level level, net.minecraft.world.entity.player.Player player, net.minecraft.world.InteractionHand hand, net.minecraft.world.phys.BlockHitResult hitResult, org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable<net.minecraft.world.InteractionResult> callbackInfo)

### onUseItemOnBlock

public static void onUseItemOnBlock(net.minecraft.world.item.ItemStack stack, net.minecraft.world.item.context.UseOnContext useOnContext, org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable<net.minecraft.world.InteractionResult> callbackInfo)